    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * ----------------------
    028 * InsetsReadHandler.java
    029 * ----------------------
    030 * (C)opyright 2003, 2004, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: InsetsReadHandler.java,v 1.2 2005/10/18 13:33:32 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 03-Dec-2003 : Initial version
    040 * 11-Feb-2004 : Added missing Javadocs (DG);
    041 *
    042 */
    043
    044package org.jfree.xml.parser.coretypes;
    045
    046import java.awt.Insets;
    047
    048import org.jfree.xml.parser.AbstractXmlReadHandler;
    049import org.jfree.xml.parser.XmlReaderException;
    050import org.xml.sax.Attributes;
    051import org.xml.sax.SAXException;
    052
    053/**
    054 * A reader that can parse the XML element for an {@link Insets} object.
    055 */
    056public class InsetsReadHandler extends AbstractXmlReadHandler {
    057
    058    /** The insets under construction. */
    059    private Insets insets;
    060
    061    /**
    062     * Creates a new read handler.
    063     */
    064    public InsetsReadHandler() {
    065        super();
    066    }
    067
    068    /**
    069     * Begins parsing.
    070     *
    071     * @param attrs  the attributes.
    072     *
    073     * @throws SAXException if there is a parsing problem.
    074     */
    075    protected void startParsing(final Attributes attrs) throws SAXException {
    076
    077        final String top = attrs.getValue("top");
    078        final String left = attrs.getValue("left");
    079        final String bottom = attrs.getValue("bottom");
    080        final String right = attrs.getValue("right");
    081
    082        this.insets = new Insets(
    083            Integer.parseInt(top), Integer.parseInt(left),
    084            Integer.parseInt(bottom), Integer.parseInt(right)
    085        );
    086
    087    }
    088
    089    /**
    090     * Returns the object for this element.
    091     *
    092     * @return the object.
    093     *
    094     * @throws XmlReaderException never.
    095     */
    096    public Object getObject() throws XmlReaderException {
    097        return this.insets;
    098    }
    099}